@import url("https://googleapis.com");

:root {
  --color-slate: #181818;
  --colog-gray: #383838;
  --color-zinc: #c2c2c2;
  --color-white: #ffffff;
  --color-blue: #3691f9;
  --color-yellow: #ebc88d;
}

body {
  background: var(--color-slate);
  color: var(--color-white);
  font-family: "JetBrains Mono", monospace;
  display: flex;
  flex-direction: column;
  margin: 0 12px;
  min-height: 98dvh;
}

.w-full {
  min-width: 100%;
}

.w-1\/3 {
  width: 33%;
  min-width: 33%;
}

.w-1\/2 {
  width: 50%;
  min-width: 50%;
}

.w-2\/3 {
  width: 66.666667%;
}

.w-3\/4 {
  width: 75%;
}

.h-full {
  min-height: 100%;
}

.bg-primary {
  background: var(--colog-gray);
}

.bg-accent {
  background: var(--color-blue);
}

.text-primary {
  color: var(--color-white);
}

.text-secondary {
  color: var(--color-zinc);
}

.text-disabled {
  color: var(--colog-gray);
}

.flex {
  display: flex;
}

.flex-1 {
  flex: 1;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.items-center {
  align-items: center;
}

.statusline-item {
  padding: 2px 6px;
}

.decoration-none {
  text-decoration: none;
  color: var(--color-white);
}

.space-y-6 > * + * {
  margin-top: 1.5rem;
}

.px-12 {
  padding-left: 3rem;
  padding-right: 3rem;
}

.px-2 {
  padding-right: 0.5rem;
  padding-left: 0.5rem;
}

.py-8 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.py-1 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.font-bold {
  font-weight: 600;
}

.border {
  border: 1px solid var(--color-zinc);
  border-radius: 6px;
}

.text-accent {
  color: var(--color-blue);
}

.hover\:text-white:hover {
  color: var(--color-white);
}

.cursor-pointer {
  cursor: pointer;
}

.text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-lg {
  font-size: 1rem;
  line-height: 1.5rem;
}

.mb-4 {
  margin-bottom: 1rem;
}

.mb-2 {
  margin-bottom: 0.5rem;
}

.space-y-4 > * + * {
  margin-top: 1rem;
}

.flex-col {
  flex-direction: column;
}

.justify-end {
  justify-content: flex-end;
}

button {
  background: transparent;
  border: none;
  font-family: inherit;
  font-size: inherit;
  padding: 0;
}
